<?php

/**
 * Class that operate on table 'supplieropendebtchange'. Database Mysql.
 *
 * @author: http://phpdao.com
 * @date: 2023-07-20 15:34
 */
class SupplieropendebtchangeMySqlExtDAO extends SupplieropendebtchangeMySqlDAO {

    public function queryAllEX($queryString = '') {
        $sql = 'SELECT supplieropendebtchange.*,supplieropen.name as suppOpenName
                FROM supplieropendebtchange
                left join supplieropen on supplieropen.id= supplieropendebtchange.opensupplierid
                where 1 ' . $queryString . '
                ORDER BY supplieropendebtchangeid desc';
        $sqlQuery = new SqlQuery($sql);
        return $this->getList($sqlQuery);
    }

}

?>